- Qbs Manual
- TemporaryDir Service
- Qbs 2.1.1

# TemporaryDir Service

The `TemporaryDir` service creates a unique directory for temporary use.

## Available Operations

### Constructor

     TemporaryDir()

Allocates and returns a new TemporaryDir object. This method creates the temporary directory.

### isValid

     isValid(): boolean

Returns `true` if the temporary directory was created successfully.

### path

     path(): string

Returns the path to the temporary directory. Empty if the temporary directory could not be created.

### remove

     remove(): boolean

Removes the temporary directory, including all its contents. Returns `true` if removing was successful. It is recommended to always call this function as soon as you are finished with the temporary directory. The directory will not be removed automatically.